#pragma once

// This is a display plugin for LCD Smartie to be used with the USB2LCD+ board.
// For more information and updates see www.coderforlife.com/projects/lcd
// Version 1.2
// History:
//   1.0: Intial Release
//   1.1: Fixed resuming from standby bug
//        Fixed support for devices with COM port over 9 (needed to add "\\.\" before port name)
//   1.2: Switched from using WMI to the registry to find COM ports, this allows the program to run
//        without UAC elevation, smaller DLL, and no longer dependent on COM

// Set the line below to the VID and PID to look for
// This can be found in the Device Manager, go to the "Details" page and take the beginning of the "Device Instance Id"
// USB2LCD+ is	L"VID_5BCD&PID_5BCD" 
// Microchip is	L"VID_04D8&PID_000A"
// These are usually prefixed with USB\ or USB#
#define USB_COM_ID	L"VID_5BCD&PID_5BCD"

// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the USB2LCD_EXPORTS
// symbol defined on the command line. This symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// USB2LCD_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef USB2LCD_EXPORTS
#define USB2LCD_API(type) extern "C" __declspec(dllexport) type __stdcall
#else
#define USB2LCD_API(type) __declspec(dllimport) type
#endif

typedef unsigned char  LCDS_BYTE;
typedef unsigned short LCDS_WORD;
typedef unsigned char  LCDS_BOOL;
typedef char *         LCDS_STR;
